// Gmsh project created on Fri Jan 04 21:08:42 2019
SetFactory("OpenCASCADE");

pp = "Input/10Geometric Dimensions/0";

DefineConstant[
		length = {2, Min 1, Max 8, Step 0.5,
		Name StrCat[pp, "1length in mm"], Highlight "LightGray"}, 
		l = length
	      ];

DefineConstant[
		width = {2, Min 1, Max 8, Step 0.5,
		Name StrCat[pp, "2width in mm"], Highlight "LightGray"}, 
		w = width
	      ];

DefineConstant[
		distance = {1.8, Min 1, Max 2.5, Step 0.1,
		Name StrCat[pp, "4distance in mm"], Highlight "LightGray"}, 
		a = distance
	      ];



Point(1) = {0, -1.0, 0, 0.5};

Extrude {w, 0, 0} {
  Point{1}; 
}

Extrude {0, l, 0} {
  Curve{1}; 
}

Point(5) = {-a, -1.0, 0, 0.5};

Extrude{-w, 0, 0} {
  Point{5};
}
//+
Extrude {0, l, 0} {
  Curve{5};
}

Physical Surface("right magnet", 1) = {1};
Physical Surface("left magnet", 2) = {2};

Circle(9) = {-0.9, 0, 0, 7, 0, 2*Pi};


//+
Curve Loop(3) = {9};
//+
Curve Loop(4) = {8, -7, -5, 6};
//+
Curve Loop(5) = {4, -3, -1, 2};
//+
Plane Surface(3) = {3, 4, 5};
Physical Surface("air", 3) = {3};
