// Gmsh project created on Fri Jan 04 21:08:42 2019
SetFactory("OpenCASCADE");

pp = "Input/10Geometric Dimensions/0";

DefineConstant[
		length = {2, Min 1, Max 8, Step 0.5,
		Name StrCat[pp, "1length in mm"], Highlight "LightGray"}, 
		l = length
	      ];

DefineConstant[
		width = {2, Min 1, Max 8, Step 0.5,
		Name StrCat[pp, "2width in mm"], Highlight "LightGray"}, 
		w = width
	      ];

DefineConstant[
		height = {2, Min 1, Max 8, Step 0.5,
		Name StrCat[pp, "3height in mm"], Highlight "LightGray"}, 
		h = height
	      ];

DefineConstant[
		distance = {1.8, Min 1, Max 2.5, Step 0.1,
		Name StrCat[pp, "4distance in mm"], Highlight "LightGray"}, 
		a = distance
	      ];

Point(1) = {0, -1.0, 0, 0.43};

Extrude {w, 0, 0} {
  Point{1}; 
}

Extrude {0, l, 0} {
  Curve{1}; 
}

Point(5) = {-a, -1.0, 0, 0.43};

Extrude{-w, 0, 0} {
  Point{5};
}
//+
Extrude {0, l, 0} {
  Curve{5};
}

Extrude {0, 0, h} {
  Surface{1};
}

Extrude {0, 0, h} {
  Surface{2};
}

Physical Volume("right magnet", 1) = {1};
Physical Volume("left magnet", 2) = {2};

Box(3) = {-6*w-0.9, -6*l, -6*h, 12*w, 12*l, 12*h+2};

Surface Loop(101) = {13, 15, 14, 16, 17, 18};
Surface Loop(102) = {3, 5, 4, 6, 1, 7};
Surface Loop(103) = {9, 10, 8, 11, 2, 12};

Volume(110) = {101, 102, 103};
Physical Volume("air", 3) = {110};

/*
Sphere(3) = {-0.9, 0, h/2, 6*w, -Pi, Pi, 2*Pi};

Surface Loop(101) = {13};
Surface Loop(102) = {1, 3, 4, 7, 5, 6};
Surface Loop(103) = {2, 9, 12, 8, 10, 11};

Volume(110) = {101, 102, 103};
Physical Volume("air", 3) = {110};
*/